Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062684 - Construction heuristics need to scale even with a high valuerange size: support selectedCountLimit
Summary: Construction heuristics need to scale even with a high valuerange size: suppo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: OptaPlanner
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER2
: 6.0.1
Assignee: Geoffrey De Smet
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 17:21 UTC by Geoffrey De Smet
Modified: 2014-08-06 19:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Geoffrey De Smet 2014-02-07 17:21:05 UTC
If the construction heuristics need to return in seconds or less, and the value range count is high (10 000 values or far more) and the entity count is also relatively high, than it might not return in time.
The solution is to support selectionCountLimit (and use it together with random selection), so the CH trades a little bit of solution quality for a lot of speed (and Local Search can use that extra time to make up far more than that solution quality).

Already works on master.
Basically I want to backport these 2 commits:
  https://github.com/droolsjbpm/optaplanner/commit/965c5d6d5005df6052c3630e12d4077b2464c56a
  https://github.com/droolsjbpm/optaplanner/commit/6a9d72b6d

Comment 1 Geoffrey De Smet 2014-02-07 17:24:04 UTC
Also backport this commit:
  http://github.com/droolsjbpm/optaplanner/commit/b2e45b10e

Comment 2 Geoffrey De Smet 2014-02-10 15:10:39 UTC
Backported to 6.0.x:
  http://github.com/droolsjbpm/optaplanner/compare/cbc4035...3cce78e

Comment 3 Geoffrey De Smet 2014-02-10 15:11:54 UTC
and http://github.com/droolsjbpm/optaplanner/commit/df5703ffd

(annoying that one can push with local uncommitted changes)

Comment 4 Radovan Synek 2014-03-11 13:26:49 UTC
Verified with BRMS-6.0.1.ER2

Comment 5 Radovan Synek 2014-03-18 15:33:34 UTC
qe_test_coverage: covered by community unit tests


Note You need to log in before you can comment on or make changes to this bug.